Debian Bug report logs - #188117
Non-compliant HTML code

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Thomas Bliesener <nospam@melix.com.mx>

Date: Tue, 8 Apr 2003 03:03:01 UTC

Severity: wishlist

Found in version 1.1.73

Fixed in version debiandoc-sgml/1.1.90

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org:
Bug#188117; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bliesener <nospam@melix.com.mx>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Bliesener <nospam@melix.com.mx>
To: submit@bugs.debian.org
Subject: Non-compliant HTML code
Date: Mon, 7 Apr 2003 20:48:27 -0600
Package: debiandoc-sgml
Version: 1.1.73

The HTML files generated by debiandoc2html are marked as HTML 4.01
Strict but don't meet W3C's specification according to
http://validator.w3.org.

Examples:
http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fmanuals%2Fdebian-faq%2Findex.en.html&doctype=%28detect+automatically%29&charset=%28detect+automatically%29

http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fmanuals%2Fapt-howto%2Findex.en.html&charset=%28detect+automatically%29&doctype=%28detect+automatically%29

http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fdebian-policy%2F&charset=%28detect+automatically%29&doctype=%28detect+automatically%29

http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fmanuals%2Fdevelopers-reference%2Findex.en.html&charset=%28detect+automatically%29&doctype=%28detect+automatically%29
-- 
bli



Information forwarded to debian-bugs-dist@lists.debian.org, debiandoc-sgml@packages.qa.debian.org:
Bug#188117; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
Extra info received and forwarded to list. Copy sent to debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 188117@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Thomas Bliesener <nospam@melix.com.mx>, 188117@bugs.debian.org
Subject: Re: Bug#188117: Non-compliant HTML code
Date: Sun, 18 May 2003 19:11:05 -0500
Hi,

I'll be working on getting this fixed.  It'll probably be in the next load (=1.1.80).

Thanks,
Ardo

Thomas Bliesener (nospam@melix.com.mx) wrote:
> Package: debiandoc-sgml
> Version: 1.1.73
> 
> The HTML files generated by debiandoc2html are marked as HTML 4.01
> Strict but don't meet W3C's specification according to
> http://validator.w3.org.
> 
> Examples:
> http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fmanuals%2Fdebian-faq%2Findex.en.html&doctype=%28detect+automatically%29&charset=%28detect+automatically%29
> 
> http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fmanuals%2Fapt-howto%2Findex.en.html&charset=%28detect+automatically%29&doctype=%28detect+automatically%29
> 
> http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fdebian-policy%2F&charset=%28detect+automatically%29&doctype=%28detect+automatically%29
> 
> http://validator.w3.org/check?uri=http%3A%2F%2Fwww.debian.org%2Fdoc%2Fmanuals%2Fdevelopers-reference%2Findex.en.html&charset=%28detect+automatically%29&doctype=%28detect+automatically%29
> -- 
> bli

-- 
Ardo van Rangelrooij
home email: ardo@debian.org
home page:  http://people.debian.org/~ardo
GnuPG fp:   3B 1F 21 72 00 5C 3A 73  7F 72 DF D9 90 78 47 F9



Severity set to `wishlist'. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>:
Bug#188117; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 188117@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 188117@bugs.debian.org, 188117-submitter@bugs.debian.org
Subject: debiandoc-sgml XHTML compliance
Date: Mon, 10 Oct 2005 00:45:47 +0900
Hi,

I just fixed XHTML compliance issue in CVS.

Problem is it alwasy assume to be compact.

This is because <ol> can not be specified with start 
number nor indexing type.

I am not sure how XHTML compliance is important.

I guess I have to add switch to chosse XHTML or to 
preserve cosmetic code feature.

Osamu



Message sent on to Thomas Bliesener <nospam@melix.com.mx>:
Bug#188117. Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Bliesener <nospam@melix.com.mx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 188117-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 188117-close@bugs.debian.org
Subject: Bug#188117: fixed in debiandoc-sgml 1.1.90
Date: Sun, 09 Oct 2005 21:17:05 -0700
Source: debiandoc-sgml
Source-Version: 1.1.90

We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.1.90.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.90.dsc
debiandoc-sgml_1.1.90.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.90.tar.gz
debiandoc-sgml_1.1.90_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.90_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 188117@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 00:06:42 +0900
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.1.90
Distribution: unstable
Urgency: low
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 188117
Changes: 
 debiandoc-sgml (1.1.90) unstable; urgency=low
 .
   * Renamed old info based debiandoc2xml script to
     debiandoc2docbookxml and marked as deprecated.
   * Added debiandoc2sgml and debiandoc2xml scrips which convert
     directly to formatted SGML and XML.
   * Make HTML conversion to produce XHTML code (closes: Bug#188117)
Files: 
 6dc97e9c6a8a40c5709e6126040fdfd3 666 text optional debiandoc-sgml_1.1.90.dsc
 3eb6ab907e6f5c381c2dd067b023a426 98780 text optional debiandoc-sgml_1.1.90.tar.gz
 f46615b38fd7aebacac4fbbf1c1d6aee 96102 text optional debiandoc-sgml_1.1.90_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDSelW6A/EwagGHzIRAiAyAJ0ShWDJ8CXK5nZAC+D+EdItJXDdmwCggVzZ
PnRUdpUXnF38bubeNc+cSzQ=
=OMqi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 17:55:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:09:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.